Skip to content

GET /sonolus/{type}/{itemName} ​

/sonolus/{type}/{itemName} provides detailed information of item of name {itemName}, and is used by Sonolus app to populate server item details view.

URL Parameters ​

URL ParameterValueDescription
typestringposts, playlists, levels, skins, backgrounds, effects, particles, engines, or replays.
itemNamestringName of item.

Query Parameters ​

Query ParameterValueDescription
localizationstringSee localization.
Configuration OptionsanySee Options Query Parameters.

Request Headers ​

HeaderValueDescription
Sonolus-SessionstringOptional, see Sonolus-Session.

Request Body ​

None.

Response Code ​

CodeDescription
200 OK
401 UnauthorizedAuthentication required or expired.
404 Not Found

Response Headers ​

HeaderValueDescription
Sonolus-VersionstringOptional, see Sonolus-Version.

Response Body ​

ts
type ServerItemDetails<T> = {
    item: T
    description?: Text | (string & {})
    actions: ServerForm[]
    hasCommunity: boolean
    leaderboards: ServerItemLeaderboard[]
    sections: ServerItemSection[]
}

Examples ​

json
{
    "item": {
        // ...
    },
    "description": "Description of the item.",
    "actions": [
        // ...
    ],
    "hasCommunity": true,
    "leaderboards": [
        // ...
    ],
    "sections": [
        // ...
    ]
}